{% extends 'email/base_mail.html' %}

{% block subject %}Votre demande d'emprunt a été traitée{% endblock %}

{% block title %}
    Demande d'emprunt traitée.
{% endblock %}

{% block content %}
    <p>Bonjour {{ user.first_name }},</p>
    <p>Ta demande d'emprunt a été traitée par le bureau.</p>

    {% if est_refuse %}
        <p>Malheureusement, ta demande a été refusée. Le matériel que tu souhaite emprunter
            est sans doute déjà demandé par d'autres personnes au même moment que toi.</p>

        {% if emprunt.commentaire %}
            <p><strong>Commentaire du bureau : </strong>{{ emprunt.commentaire }}</p>
        {% endif %}

        <p>Afin de pouvoir quand même réaliser ton projet audiovisuel, nous t'invitons à
            réeffectuer ta demande pour d'autres dates.</p>
        <p>Si tu souhiate nous contacter, nous sommes à ta disposition par mail à l'adresse
            <a href="mailto:{{ CONTACT_EMAIL }}?Subject=Emprunt">{{ CONTACT_EMAIL }}</a>.</p>
        <p>
            Tu peux aussi passer à notre local, {{ OFFICE_ADDRESS }}.
            {% if PERMANENCE %}
                Nous sommes ouverts {{ PERMANENCE }}.
            {% endif %}
        </p>
    {% else %}
        <p>Voici le statut de validation de ta demande. Certains éléments peuvent ne pas avoir été validés.
            Le bureau peut aussi avoir rajouté certains éléments, s'il le juge nécessaire, ou pour remplacer
            du matériel non disponible.</p>

        {% if emprunt.commentaire %}
            <p><strong>Commentaire du bureau : </strong>{{ emprunt.commentaire }}</p>
        {% endif %}

        <table border="0" cellpadding="0" cellspacing="0" class="btn btn-primary">
            <theader>
                <tr style="font-size: .8em; margin-bottom:20px;">
                    <th>Image</th>
                    <th>Matériel</th>
                    <th>Statut</th>
                    <th>Commentaire</th>
                </tr>
            </theader>
            <tbody>
            {% for element in emprunt.elements.all %}
                <tr style="margin-bottom: 10px; border-radius: 10px">
                    <td><img style="width: 100px" src="{{ prefix }}{% url 'photo_materiel' element.materiel.id %}"
                             alt=""/></td>
                    <td>{{ element.materiel.nom }}</td>
                    <td>
                        {% if element.statut == VALIDE %}
                            Validé
                        {% elif element.statut == REFUSE %}
                            Refusé
                        {% endif %}
                    </td>
                    <td><p>{{ element.commentaire }}</p></td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

        <p>
            Pour passer récupérer ton matériel, tu peux passer à notre local,
            {{ OFFICE_ADDRESS }}.
            {% if PERMANENCE %}
                Nous sommes ouverts {{ PERMANENCE }}.
            {% endif %}
        </p>
        <p>Si tu souhaite nous contacter, nous sommes à ta disposition par mail à l'adresse
            <a href="mailto:{{ CONTACT_EMAIL }}?Subject=Emprunt">{{ CONTACT_EMAIL }}</a>.</p>
    {% endif %}

    <p>A bientôt !</p>
    <p>Le bureau</p>
{% endblock %}